<?php
use WooBooking\CMS\Utilities\Utility;
defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);
WpBookingPro_Html::_('jquery.framework');
WpBookingPro_Html::_('jquery.select2');
$list = '';
if ($options) {
	$list = 'list="' . $id . '_datalist"';
}
$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"';
$autocomplete = $autocomplete === ' autocomplete="on"' ? '' : $autocomplete;
$attributes = array(
	!empty($class) ? 'class="' . $class . '"' : '',
	!empty($size) ? 'size="' . $size . '"' : '',
	$disabled ? 'disabled' : '',
	$readonly ? 'readonly' : '',
	$list,
	strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
	$onchange ? ' onchange="' . $onchange . '"' : '',
	!empty($maxLength) ? $maxLength : '',
	$required ? 'required aria-required="true"' : '',
	$autocomplete,
	$autofocus ? ' autofocus' : '',
	$spellcheck ? '' : 'spellcheck="false"',
	!empty($inputmode) ? $inputmode : '',
	!empty($pattern) ? 'pattern="' . $pattern . '"' : '',
);
$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);
$data = $displayData['field']->getForm()->getData();
$modelorderstatus = WoobookingModel::getInstance('order_status');
$list = $modelorderstatus->getList();
$list_time = [];
$list_employee_id = [];
if (!is_array($value)) {
	$list_employee_id[] = $value;
} else {
	$list_employee_id = $value;
}
?>
    <div id="<?php esc_html_e($id_by_name) ?>" class="<?php esc_html_e($class); ?> field-orderstatus">
        <select name="<?php esc_html_e($name); ?>" <?php echo($multiple ? ' multiple ' : '') ?>
                class="list-orderstatus">
            <option value=""><?php esc_attr_e('Select order status','wpbookingpro') ?></option>
			<?php foreach ($list as $item) { ?>
                <option <?php echo(in_array($item->id, $list_employee_id) ? ' selected ' : '')  ?>
                        value="<?php esc_html_e($item->id); ?>"><?php esc_html_e($item->name); ?></option>
			<?php } ?>
        </select>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addLessStyleSheet('admin/nb_apps/nb_woobooking/layouts/WooBooking/form/field/orderstatus.less');
$doc->addScriptApplySelector('.field-orderstatus','field_orderstatus',array(
),'admin/nb_apps/nb_woobooking/layouts/WooBooking/form/field/orderstatus.jquery.js');